Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 148373 - Correlation Wizard: it's impossible to use elements of built-in type "string" for correlation
Correlation Wizard: it's impossible to use elements of built-in type "string"...
Status: VERIFIED FIXED
Product: soa
Classification: Unclassified
Component: BPEL
6.x
All All
: P2 (vote)
: 6.x
Assigned To: _ alexpetrov
issues@soa
61fixes4-fixed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-25 15:02 UTC by _ alexpetrov
Modified: 2009-01-13 16:17 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
screenshot (56.94 KB, image/jpeg)
2008-09-25 15:03 UTC, _ alexpetrov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description _ alexpetrov 2008-09-25 15:02:44 UTC
Product Version: NetBeans IDE Dev (Build 080916)
Java: 1.6.0_03; Java HotSpot(TM) Client VM 1.6.0_03-b02
System: Windows XP version 5.1 running on x86

1. Create new project: 
   - select "Samples/SOA", "Asynchronous BPEL Process"
   - click "Next"
   - click "Finish"
2. Open the file "Asynchronous Sample"/"Process Files"/"AsynchronousSample.bpel"
3. On the BPEL diagram right click on the activity "end [Invoke]".
   In the appeared popup menu select the item "Define Correlation...".
4. In the appeared dialog click "Next".
   In the left tree select the node "id <string>".
   Drag it and drop on the right tree node "id <string>".

Result:
new correlation link won't be created (see the attached screenshot) though it has to be created and displayed on the mapper.
Comment 1 _ alexpetrov 2008-09-25 15:03:53 UTC
Created attachment 70583 [details]
screenshot
Comment 2 _ alexpetrov 2008-09-25 15:06:56 UTC
The reason of this bug:
the file "org.netbeans.modules.xml.wsdl.model.extensions.bpel.validation.ValidationUtil" (module "WSDL Model Extensions"
xml.wsdl.extensions) contains the method "public static boolean isBuiltInSimpleType(...)".
First statements in this method:
        if ( !(component instanceof GlobalSimpleType)) {
            return false;
        }
forbid creating of correlation links between schema components of built-in types if those schema components are
instances of the class "LocalSimpleElement" (like in the project "Asynchronous BPEL Process".
Comment 3 _ alexpetrov 2008-09-25 15:16:31 UTC
Fixed in trunk: http://hg.netbeans.org/main/rev/87fbe3b5470d
Please, verify on NB build being equal or later than 080925...


Comment 4 _ alexpetrov 2008-09-25 15:18:47 UTC
Verified on
Product Version: NetBeans IDE Dev (Build 080925)
Java: 1.5.0_14; Java HotSpot(TM) Client VM 1.5.0_14-b03
System: Windows XP version 5.1 running on x86
Comment 5 rbalada 2008-09-25 15:34:12 UTC
I've transplanted the changeset http://hg.netbeans.org/main/rev/87fbe3b5470d into release61_fixes repository as
http://hg.netbeans.org/release61_fixes/rev/5759a10ce5cc

There was minor complaint when applying the changeset, copy&pasted the session log just for the record, no need to resolve.

$ hg transplant -s ../main 87fbe3b5470d
searching for changes
applying 87fbe3b5470d
patching file xml.wsdl.extensions/src/org/netbeans/modules/xml/wsdl/model/extensions/bpel/validation/ValidationUtil.java
Hunk #1 succeeded at 173 with fuzz 2 (offset 74 lines).
87fbe3b5470d transplanted to 5759a10ce5cc
$
Comment 6 rbalada 2008-09-26 14:13:21 UTC
Had to remove the changeset http://hg.netbeans.org/release61_fixes/rev/5759a10ce5cc due to compilation issue. I'll port
it asap. Updated status whiteboard to reflect issue status.
Comment 7 _ alexpetrov 2008-09-26 14:37:32 UTC
Please, let me know ASAP if you need some help from me.
Comment 8 rbalada 2008-09-28 23:16:55 UTC
I've ported the changeset http://hg.netbeans.org/main/rev/87fbe3b5470d into release61_fixes repository as
http://hg.netbeans.org/release61_fixes/rev/6e6bf9c874a0
Comment 9 ggenipudi 2008-10-07 19:30:27 UTC
verified using the latest build following the steps described below and noticed the link was created successfully.
http://beryl.russia.sun.com:8080/hudson/job/sierra/ 
Comment 10 ggenipudi 2008-10-07 20:19:13 UTC
verified using  NetBeans IDE 6.1 Full distribution patch and
http://bits.netbeans.org/netbeans/6.1/fixes/2008-10-03_19-45-23/uc/catalog.xml.gz and was able to create correlation
following the steps below and did a validate and did not get any errors.
Comment 11 _ alexpetrov 2009-01-13 16:17:02 UTC
Fixed in soa-dev: http://hg.netbeans.org/soa-dev/rev/f512fc9f835f

Now source file "org.netbeans.modules.xml.wsdl.model.extensions.bpel.validation.ValidationUtil", included 
in "soa-dev" (module "xml.wsdl.extensions"), is used instead of the same file from NB 6.1 Patch 4.

Please, verify on Sierra build being later or equal than 090114.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo